워드프레스 보안 취약점 데이터베이스 소개

워드프레스 점유율이 점점 늘어날수록 그에 비례하여 보안 취약점도 증가하는데, 점점 증가하는 워드프레스 보안 취약점을 정리하여 공개하고 있는 웹사이트가 있어 소개합니다. 사이트명은 WPScan Vulnerability Database이고, 메인 페이지는 다음과 같습니다.

 

 

https://wpvulndb.com/ 

 

wpscan

 

 

 

 위 그림에서 보듯이 WPScan Vulnerability Database 에서는 워드프레스 보안 취약점을 WordPress(워드프레스 코어), Plugins(워드프레스 플러그인), Themes(워드프레스 테마)로 구분하였고, 각 메뉴 클릭 시 워드프레스 보안 취약점들이 출력됩니다. 이 중 WordPress(워드프레스 코어) 클릭 시 출력되는 내용을 살펴보면 다음과 같습니다.

 

 

wpscan1

 

 

 

위 그림에서 Version(워드프레스 버전), Added(추가된 날짜), Title(보안 취약점 제목)로 된 보안 취약점 리스트를 볼 수 있습니다. 위 그림에서는 볼 수 없지만 워드프레스 0.7 버전부터 시작하여 4.0 버전까지 발견된 모든 보안 취약점들이 정리되어 있습니다. 이 리스트 중 하나를 클릭하면 다음과 같이 상세 정보를 볼 수 있습니다.

 

 

wpscan1

 

 

 

Plugins(워드프레스 플러그인)과 Themes 메뉴도 WordPress(워드프레스 코어)와 동일한 인터페이스를 가지고 있어 자세한 설명은 생략 하겠습니다.

 

WPScan Vulnerability Database 에서는 워드프레스 보안 취약점을 발견한 누구라도 등록할 수 있도록 다음과 같이 Submit Vulnerability 페이지를 제공하고 있습니다.

 

 

wpscan3

 

 

 

워드프레스 보안 취약점에 대해서 좀 더 자세히 알고 싶은 분들이라면 한 번씩 방문해 보면 좋을 듯 합니다.

 

https://wpvulndb.com

 

 

 

• (주)블로그코디 대표 • 워드프레스 교육 서비스 런칭 • 워드프레스 정보 공유 커뮤니티 make BCT 런칭 • 한국형 워드프레스 테마 출시 • 워드프레스 홈페이지 제작 서비스 런칭
No comments
Write CommentLIST
WRITE COMMENT

위로이동